import { Plugin } from 'esbuild';
import { Agent } from 'http';

interface HttpPluginOptions {
    /** Return `true` to filter in paths to be handled by this plugin. */
    filter?: RegExp | ((url: string) => boolean);
    /** Custom http.Agent. */
    agent?: Agent | null;
    /** Custom url scheme, example: `{ unpkg: 'https://unpkg.com/?module' }`. */
    schemes?: Record<string, string>;
    /** Cache request results. */
    cache?: Map<string, string | Uint8Array>;
    /** onfetch(console.log) */
    onfetch?: (url: string) => void;
}
/** https://esbuild.github.io/plugins/#http-plugin */
declare function http({ filter, agent, schemes, cache, onfetch, }?: HttpPluginOptions): Plugin;
declare const default_schemes: Record<string, string>;

export { HttpPluginOptions, http as default, default_schemes, http };
